#include "mainwindow.h"
#include <QApplication>
#include <QWebEngineView>
#include <QFileInfo>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
//    MainWindow w;
//    w.show();

    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QCoreApplication::setAttribute(Qt::AA_UseHighDpiPixmaps);

    QWebEngineView view;
    QString strUrl = "./test.html";
    QFileInfo fileInfo(strUrl);
    QString strAbsoluteFilePath = fileInfo.absoluteFilePath();

    QUrl urlLocalFile = QUrl::fromLocalFile(strAbsoluteFilePath);
    view.setUrl(QUrl(urlLocalFile));
    view.resize(1200, 800);
    view.show();

    return a.exec();
}
